! An Example of plotiing the graph of a function
! of which domain is not whole the real numbers.
! We use an exception handling.
DEF f(x)=(1+1/x)^x
SET WINDOW -4,4,-1,7
DRAW AXES
FOR x=-4 TO 4 STEP 0.01
   WHEN EXCEPTION IN
      PLOT LINES:x,f(x);
   USE
      PLOT LINES
   END WHEN
NEXT x
END
